# Configuration file for PBButtonsd >= Version 0.5
# for complete list of options please see pbbuttonsd.conf man-page

# [SYSTEM]
#userallowed        = "paranoid"; user who is allowed to use IPC
autorescan          = no	; automatic rescan of event devices
CmdTimeout          = 4

# [MODULE POWERSAVE]
onAC_policy         = performance ; nochange, performance, custom or powersave
onAC_sleep          = no
onAC_coversleep     = yes
onAC_Tsleep         = 0
onAC_Tdim           = 0
onBattery_policy    = powersave
onBattery_sleep     = yes
onBattery_coversleep= yes
onBattery_Tsleep    = 3000	; time in 1/10s
onBattery_Tdim      = 600	; time in 1/10s
SleepKey            = 116
SleepKeyDelay       = 0		; values > 0 may be dangerous, if the power key is used to trigger sleep
SleepKeySleep       = yes       ; yes=sleep, no=blank
BWL_first           = 22	; first battery warnlevel, time in minutes
BWL_second          = 10	; second battery warnlevel, time in minutes
BWL_last            = 3		; last battery warnlevel, time in minutes
Script_PMCS         = "/etc/power/pmcs-pbbuttonsd %s %s"
EmergencyAction     = sleep	; action, if battery is critically low
HeartbeatBeep       = no	; beep, if nothing else showed that the computer lives
CPULoad_sleeplock   = yes
CPULoad_min         = 20	; value in percent
CPULoad_period      = 20	; time in seconds
NETLoad_sleeplock   = yes
NETLoad_min         = 4096	; traffic in Bytes/s
NETLoad_period      = 20	; time in seconds
NETLoad_device      = "eth0"

# [MODULE DISPLAY]
#LCD_Brightness     = 8		; initial LCD brightness level
LCD_FadingSpeed     = 5		; 0 = no smooth fading
LCD_AutoAdjust      = yes	; only on Aluminum PowerBooks
LCD_IllumUpKey      = 225
LCD_IllumDownKey    = 224
LCD_Threshold       = 94
LCD_AutoAdjMin_Bat  = 2         ; autoadjust parameter
LCD_AutoAdjMax_Bat  = 7
LCD_AutoAdjMin_AC   = 1
LCD_AutoAdjMax_AC   = 15
#KBD_Brightness     = 0		; initial keyboard illumination level
KBD_FadingSpeed     = 5		; 0 = no smooth fading
KBD_AutoAdjust      = yes	; only on Aluminum PowerBooks
KBD_IllumUpKey      = 230
KBD_IllumDownKey    = 229
KBD_IllumOnKey      = 228
KBD_Threshold       = 28	; only on Aluminum PowerBooks
dev_FrameBuffer     = "/dev/fb0"
UseFBBlank          = yes
DimFullyDark        = no

# [MODULE OSSMIXER]
#Volume              = 50	; initial volume level
Speakers_muted      = no	; mute after startup?
VolumeUpKey         = 115
VolumeDownKey       = 114
MuteKey             = 113
dev_Mixer           = "/dev/mixer"
MixerInitDelay      = no
MixerChannels       = "volume, speaker"

# [MODULE CDROM]
dev_CDROM           = "/dev/cdrom"
EjectCDKey          = 161
EjectCDKeyDelay     = 2000

# [MODULE PMAC]
dev_PMU             = "/dev/pmu"
dev_ADB             = "/dev/adb"
TPModeUpKey         = 225 + alt
TPModeDownKey       = 224 + alt
TPMode              = drag
KBDMode             = fkeyslast

